Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi
Class ActivationSpecImpl

    java.lang.Object
      net.sf.dropboxmq.resource.spi.CommonBean
          net.sf.dropboxmq.resource.spi.ActivationSpecImpl

All Implemented Interfaces:
  Serializable, ActivationSpec, ResourceAdapterAssociation

    public class ActivationSpecImpl

extends CommonBean
implements ActivationSpec

Created: 26 Jan 2006

Version:
  $Revision: 227 $, $Date: 2011-03-13 23:22:39 -0600 (Sun, 13 Mar 2011) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`ActivationSpecImpl()`

Method Summary
`String` | `getAcknowledgeMode()`
`int` | `getAcknowledgeModeInt()`
`String` | `getClassLoadedPropertiesName()`
`String` | `getClientId()`
`String` | `getDestination()`
`String` | `getDestinationType()`
`int` | `getMaxMessages()`
`int` | `getMaxPoolSize()`
`String` | `getMessageSelector()`
`ResourceAdapter` | `getResourceAdapter()`
`String` | `getSubscriptionDurability()`
`String` | `getSubscriptionName()`
`void` | `setAcknowledgeMode(String acknowledgeMode)`
`void` | `setClassLoadedPropertiesName(String classLoadedPropertiesName)`
`void` | `setClientId(String clientId)`
`void` | `setDestination(String destination)`
`void` | `setDestinationType(String destinationType)`
`void` | `setMaxMessages(int maxMessages)`
`void` | `setMaxPoolSize(int maxPoolSize)`
`void` | `setMessageSelector(String messageSelector)`
`void` | `setResourceAdapter(ResourceAdapter resourceAdapter)`
`void` | `setSubscriptionDurability(String subscriptionDurability)`
`void` | `setSubscriptionName(String subscriptionName)`
`void` | `validate()`

Methods inherited from class net.sf.dropboxmq.resource.spi.CommonBean
`equals, getClassLoadedProperties, getMessageTranscoderFactory, getPollingInterval, getProperty, getRedeliveryAttempts, getRoot, getTargetScanTimeout, hashCode, isConsumeExpiredMessages, isDeleteCompleteTransactions, isDeleteExpiredMessages, isDeleteProcessedMessages, isPreserveDeletedDropboxes, setClassLoadedProperties, setConsumeExpiredMessages, setDeleteCompleteTransactions, setDeleteExpiredMessages, setDeleteProcessedMessages, setMessageTranscoderFactory, setPollingInterval, setPreserveDeletedDropboxes, setRedeliveryAttempts, setRoot, setTargetScanTimeout, toObjectString, validateCommon`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationSpecImpl

    public ActivationSpecImpl()

Method Detail

### validate

    public void validate()
                  throws InvalidPropertyException

  Specified by:
    `validate` in interface `ActivationSpec`
  Throws:
    `InvalidPropertyException`

### getResourceAdapter

    public ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `ResourceAdapterAssociation`

### setResourceAdapter

    public void setResourceAdapter(ResourceAdapter resourceAdapter)
                            throws ResourceException

  Specified by:
    `setResourceAdapter` in interface `ResourceAdapterAssociation`
  Throws:
    `ResourceException`

### getSubscriptionDurability

    public String getSubscriptionDurability()

### setSubscriptionDurability

    public void setSubscriptionDurability(String subscriptionDurability)

### getSubscriptionName

    public String getSubscriptionName()

### setSubscriptionName

    public void setSubscriptionName(String subscriptionName)

### getMessageSelector

    public String getMessageSelector()

### setMessageSelector

    public void setMessageSelector(String messageSelector)

### getClientId

    public String getClientId()

### setClientId

    public void setClientId(String clientId)

### getDestination

    public String getDestination()

### setDestination

    public void setDestination(String destination)

### getDestinationType

    public String getDestinationType()

### setDestinationType

    public void setDestinationType(String destinationType)

### getAcknowledgeMode

    public String getAcknowledgeMode()

### getAcknowledgeModeInt

    public int getAcknowledgeModeInt()

### setAcknowledgeMode

    public void setAcknowledgeMode(String acknowledgeMode)

### getMaxPoolSize

    public int getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

### getMaxMessages

    public int getMaxMessages()

### setMaxMessages

    public void setMaxMessages(int maxMessages)

### getClassLoadedPropertiesName

    public String getClassLoadedPropertiesName()

### setClassLoadedPropertiesName

    public void setClassLoadedPropertiesName(String classLoadedPropertiesName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD